Redmine - Defect #1855

Bad link parsing in the wiki
2008-09-04 09:27 - Vianney Lecroart

Status: Closed
Priority: Normal
Assignee:
Category:

Target version:

Resolution: Duplicate

Start date: 2008-09-04
Due date:

% Done: 0%
Estimated time: 0.00 hour

Affected version:

Description

| want to point Cg to the wikipedia url http:/en.wikipedia.org/wiki/Cg_(programming_language)

so | added : between Cg and the url and it give:

Cg

The closing parenthesis is not inside the url. As you can see, it doesn't work neither if you put the direct link.

History

#1 - 2008-09-04 10:13 - Vianney Lecroart

Okay the problem comes from redcloth.rb
| don't really know which regexp we need to fix :/

#2 - 2008-09-04 10:14 - Vianney Lecroart

The current workaround is to replace the ) with %29
#3 - 2008-09-04 11:53 - Paul Rivier
this is a duplicate of #1591.

By the way, a working patch is available there.

#4 - 2008-09-13 18:42 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Duplicate

Duplicates #1591 as Paul said.
